This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 968997 - SELinux is preventing /opt/google/chrome/nacl_helper_bootstrap from 'search' accesses on the directory fdinfo.
SELinux is preventing /opt/google/chrome/nacl_helper_bootstrap from 'search' ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:13ce744affeb10bb37b9a61e2a0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 08:41 EDT by roytest001
Modified: 2013-07-24 20:38 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-98.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:38:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description roytest001 2013-05-30 08:41:48 EDT
Description of problem:
SELinux is preventing /opt/google/chrome/nacl_helper_bootstrap from 'search' accesses on the directory fdinfo.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that nacl_helper_bootstrap should be allowed search access on the fdinfo directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep nacl_helper_boo /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:chrome_sandbox_nacl_t:s0
                              -s0:c0.c1023
Target Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Objects                fdinfo [ dir ]
Source                        nacl_helper_boo
Source Path                   /opt/google/chrome/nacl_helper_bootstrap
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           google-chrome-stable-27.0.1453.93-200836.i386
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-96.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.i686 #1 SMP Fri May
                              24 20:35:02 UTC 2013 i686 i686
Alert Count                   2
First Seen                    2013-05-29 13:03:51 EDT
Last Seen                     2013-05-30 08:05:24 EDT
Local ID                      be0d195d-b1d8-4b1a-b47b-d730f367b321

Raw Audit Messages
type=AVC msg=audit(1369915524.509:382): avc:  denied  { search } for  pid=7140 comm="nacl_helper_boo" name="fdinfo" dev="proc" ino=324616 scontext=unconfined_u:unconfined_r:chrome_sandbox_nacl_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tclass=dir


type=SYSCALL msg=audit(1369915524.509:382): arch=i386 syscall=open success=no exit=EACCES a0=b779e104 a1=8000 a2=0 a3=bfa048a8 items=0 ppid=1 pid=7140 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=1 tty=(none) comm=nacl_helper_boo exe=/opt/google/chrome/nacl_helper_bootstrap subj=unconfined_u:unconfined_r:chrome_sandbox_nacl_t:s0-s0:c0.c1023 key=(null)

Hash: nacl_helper_boo,chrome_sandbox_nacl_t,chrome_sandbox_t,dir,search

audit2allow

#============= chrome_sandbox_nacl_t ==============
allow chrome_sandbox_nacl_t chrome_sandbox_t:dir search;

audit2allow -R
require {
	type chrome_sandbox_nacl_t;
	type chrome_sandbox_t;
	class dir search;
}

#============= chrome_sandbox_nacl_t ==============
allow chrome_sandbox_nacl_t chrome_sandbox_t:dir search;


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.i686
type:           libreport
Comment 1 Daniel Walsh 2013-06-03 10:29:27 EDT
commit d4aaa205ef767d3e1ee6e5c8253ff5780ca10141 allows this in git.
Comment 2 Miroslav Grepl 2013-06-04 09:51:26 EDT
Back ported.
Comment 3 Fedora Update System 2013-06-27 09:34:32 EDT
selinux-policy-3.11.1-98.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-98.fc18
Comment 4 Fadil Shamir Khan 2013-06-27 13:43:03 EDT
so how do i fix my issue?
Comment 5 Daniel Walsh 2013-06-27 15:27:25 EDT
Download selinux-policy-3.11.1-98.fc18 or wait for it to show up in updates-testing



yum -y update selinux-policy --enablerepo=updates-testing
Comment 6 Fedora Update System 2013-06-28 02:08:45 EDT
Package selinux-policy-3.11.1-98.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-98.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11859/selinux-policy-3.11.1-98.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-07-24 20:38:36 EDT
selinux-policy-3.11.1-98.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.